Create Categories
Creates new categories.
Limits:
- 16,000 categories per store limit.
- 1,000 categories per product limit.
- 50 characters category name length.
- 8 levels of child categories depth limit.
- 65,535 characters category description length limit.
Creating a category requires:
nametree_idorparent_id- The
urlproperty is optional, but if included, its path must be unique per channel and category. If the path is not unique, the category will still be created but the URL will not — the response returns a multi-status to indicate the partial success.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Request
The name displayed for the category. Name is unique with respect to the categoryʼs siblings. Required in a POST.
The unique numeric ID of the category parent. To create a top-level category, specify the tree_id. Otherwise, you can specify the parent_id. Required in a POST if creating a child category.
The ID of the category tree. To create a top-level category, specify the tree_id. Otherwise, you can specify the parent_id.
Custom meta keywords for the category page. If not defined, the storeʼs default keywords will be used. Must post as an array like: [“awesome”,“sauce”].
Custom meta description for the category page. If not defined, the storeʼs default meta description will be used.
A valid layout file. (Please refer to this article on creating category files.) This field is writable only for stores with a Blueprint theme applied.
Image URL used for this category on the storefront. Images can be uploaded via form file post to /categories/{categoryId}/image, or by providing a publicly accessible URL in this field. Must be either a full-qualified URL or an empty string.
Flag to determine whether the product should be displayed to customers browsing the store. If true, the category will be displayed. If false, the category will be hidden from view.
A comma-separated list of keywords that can be used to locate the category when searching the store.